> For the complete documentation index, see [llms.txt](https://docs.raidrobotics.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.raidrobotics.org/design/tools/design-calculators.md).

# Design Calculators

## Getting Started

To use the following calculators, you need to have a rough idea of what the subsystem or mechanism will be. These calculators will not solve the design problems for you, however they will ensure you are using the parts properly.

Using the calculators is an iterative process meaning that you have to make tradeoffs between the perfect distance that you need in the mechanism and what is physically possible with the parts and pieces we use.

## Chain Sprocket Spacing

ReCalc has a straight forward chain calculator that can be used to determine the desired sprocket center to center distance based on the ideal distance and sprockets being used.

{% hint style="warning" %}
We have standardized on using #25 chain for most applications. If higher load capacity is needed, #35 chain can be used.
{% endhint %}

{% embed url="<https://www.reca.lc/chains>" %}
Chain Calculator
{% endembed %}

## Belt Pulley Spacing

All the theory behind calculating belt spacing and visualizations can be read on WCP's documentation page here:

{% embed url="<https://docs.wcproducts.com/frc-build-system/belts-chain-and-gears/belts-and-pulleys>" fullWidth="true" %}

ReCalc has a belt calculator created for easily determining:

* What belt length to use based on ideal center to center distance and pulley diameters
* What center to center distance to use based on selecting a specific belt and set of pulleys

{% hint style="warning" %}
Care must be taken to ensure you are using the calculator for belts that we have in stock or can easily acquire. We have standardized on HTD belts which have a **5mm pitch**.
{% endhint %}

{% embed url="<https://www.reca.lc/belts>" %}
Belt Calculator
{% endembed %}

## Mechanism Calculators

### Linear (Elevator) Mechanism

{% embed url="<https://www.reca.lc/linear>" %}
Linear Mechanism Calculator
{% endembed %}

### Rotary (Arm) Mechanism

{% embed url="<https://www.reca.lc/arm>" %}
Arm Calculator
{% endembed %}

### Flywheel (Shooter) Mechanism

{% embed url="<https://www.reca.lc/flywheel>" %}
Flywheel Calculator
{% endembed %}

## Gear Ratio Finder

Once you have found the ideal gear ratio with a mechanism calculator, you can use this gear ratio finder to help identify sets of gears that will acheive the ideal reduction.

This finder can work within the constraints of your subsystem or mechanism with the overall space availble.

{% embed url="<https://www.reca.lc/ratioFinder>" %}
Ratio Finder
{% endembed %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.raidrobotics.org/design/tools/design-calculators.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
